package cn.yw.video.videoalarm.action;

 import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
import cn.base.util.LogConstants;
import cn.base.util.Struts2Utils;
import cn.yw.video.videoalarm.service.YwvideotaskrunresulthistoryService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@SuppressWarnings({"all"})
@Component("ywvideotaskrunresulthistoryAction")
public class YwvideotaskrunresulthistoryAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(YwvideotaskrunresulthistoryAction.class);
	
	@Autowired
	private YwvideotaskrunresulthistoryService service;
	
	/**
	 * 分页
	 */
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listYwvideotaskrunresulthistoryByPage")
	public void listYwvideotaskrunresulthistoryByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listYwvideotaskrunresulthistoryByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-listYwvideotaskrunresulthistoryByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listYwvideotaskNoTaskVideoByPage")
	public void listYwvideotaskNoTaskVideoByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listYwvideotaskNoTaskVideoByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-listYwvideotaskrunresulthistoryByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}

	/**
	 * 查询总数
	 */
	/*
	//@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Ywvideotaskrunresulthistory")
	public void count_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Ywvideotaskrunresulthistory(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-count_Ywvideotaskrunresulthistory-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 Ywvideotaskrunresulthistory
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Ywvideotaskrunresulthistory")
	public void query_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Ywvideotaskrunresulthistory(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-query_Ywvideotaskrunresulthistory-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 一条Ywvideotaskrunresulthistory
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Ywvideotaskrunresulthistory")
	public void get_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Ywvideotaskrunresulthistory(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryActionquery_Ywvideotaskrunresulthistory-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteYwvideotaskrunresulthistory")
	public void delete_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Ywvideotaskrunresulthistory(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-delete_Ywvideotaskrunresulthistory-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Ywvideotaskrunresulthistory")
	public void insert_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("id"))){
				map.put("id",StringUtil.getUUID());
			}
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywvideotaskrunresulthistory(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					service.insert_Ywvideotaskrunresulthistory(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				service.insert_Ywvideotaskrunresulthistory(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}			
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-insert_Ywvideotaskrunresulthistory()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 修改
	 */
	/*
	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Ywvideotaskrunresulthistory")
	public void update_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!StringUtil.checkEmpty(map.get("checkparam"))){
				Map sMap = new HashMap();
				sMap.put("tableparam", map.get("checkparam"));
				List ls = service.query_Ywvideotaskrunresulthistory(sMap);
				if(!StringUtil.checkEmpty(ls)||ls.size()>0){
					Struts2Utils.renderJson(Constants.SAME);
				}else{
					int result = service.update_Ywvideotaskrunresulthistory(map);
					Struts2Utils.renderJson(Constants.SUCCESS);
				}
			}else{
				int result = service.update_Ywvideotaskrunresulthistory(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-update_Ywvideotaskrunresulthistory-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Ywvideotaskrunresulthistory")
	public void batch_delete_Ywvideotaskrunresulthistory(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Ywvideotaskrunresulthistory(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-batch_delete_Ywvideotaskrunresulthistory-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_EXPORT ,info ="exp_Ywvideotaskrunresulthistory")
	public void exp_Ywvideotaskrunresulthistory(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			List<Map> sList = service.query_Ywvideotaskrunresulthistory(map);		
			List<HashMap> expList = new ArrayList<HashMap>();
			for(Map m : sList){
				Map exportMap = new HashMap();
				exportMap.put("yhzh", m.get("yhzh"));
				expList.add((HashMap) exportMap);
			}
			int excelNum = 2;
			ExcelCol[] cells = new ExcelCol[excelNum];
			String[] zdbm = {"yhzh", "yhmc",};
			String[] zdmc = {"用户账号", "用户名称"};
			for(int i=0;i<excelNum;i++){
				cells[i] = new ExcelCol();
				cells[i].setColKey(zdbm[i]);
				cells[i].setColName(zdmc[i]);
			}		
			SimpleDateFormat formart = new SimpleDateFormat("yyyy-MM-dd");   
        	String dateTime=formart.format(new Date()); 
			Map params = new HashMap();
			params.put("fileName", "运维监控任务运行详情历史-"+dateTime);
			params.put("sheetName", "运维监控任务运行详情历史");
			params.put("header", "运维监控任务运行详情历史");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("YwvideotaskrunresulthistoryAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
	
	/**
	 * 导入Excel
	 */
	/*
	//@OperateType(value = LogConstants.LOG_IMPORT ,info ="imp_Ywvideotaskrunresulthistory")
	public String imp_Ywvideotaskrunresulthistory(String excelFile,Object user) {
		String rs = "导入格式有误!";
		int rowNum = 0;
		int dataCount = 0;
		int successNum = 0;
		int repeatNum = 0;
		int failNum = 0;
		try {
		
			ExcelReader readExcel = new ExcelReader();
			readExcel.openFile(excelFile);
			readExcel.setSheetNum(0);
			int count = readExcel.getRowCount();
			iLog.info("总行数count--->" + count);
			rs = " 导入数据成功！总共"+ dataCount +"条数据,重复"+repeatNum+"条数据！失败"+failNum+"条数据!";
			File file = new File(excelFile);
			if(file.exists()){
				file.delete();
			}
		} catch (Exception e) {
			if (rowNum > 3) {
				rs = "资源部分导入(更新)失败！Excel第" + rowNum + "行起未导入(更新)成功！";
			} else {
				rs = "资源导入(更新)失败！";
			}
			iLog.error("YwvideotaskrunresulthistoryAction-imp_Ywvideotaskrunresulthistory-error:" +e);
			e.printStackTrace();
		}		
		return rs;
	}
	*/
}
